PROC GLOBAL 

numeric numFiles = 2;

array alpha (100) filenames(numFiles) =	"file1.txt"
									"file2.txt";

alpha (100) outputFilename = "output.txt";

alpha (300) str;

file inFile,outFile;


PROC NOREPEATEDHEADERS_FF

preproc

	setfile(outFile,outputFilename,create);

	numeric i;
	
	do i = 1 while i <= numFiles
	
		if setfile(inFile,filenames(i)) then
	
			if fileread(inFile,str) and i = 1 then // write out the header for only the first file
				filewrite(outFile,strip(str));
			endif;
			
			while fileread(inFile,str) do
				filewrite(outFile,strip(str));
			enddo;
			
			close(inFile);
			
		endif;	
	
	enddo;
	
	close(outFile);
	
	
	
